/* VARIABLES */
:root {
    --primario: #0A192F;
    --secundario: #64FFDA;
    --terciario: #8892B0;
    --cuarto: #c9c9c9;
    --azulClaro: #112240;
    --stylePrincipal: 'Roboto', sans-serif;
    --styleSecundario: 'Brygada 1918', serif;
    --styleTerciario: 'Source Code Pro', monospace;
}
html {
    box-sizing: border-box;
    min-height: 100%;
    font-size: 62.5%;
}
*, *:before, *:after {
    box-sizing: inherit;
}
body {
    background-color: var(--primario);
    font-family: var(--stylePrincipal);
}
/* GLOBALES */
h1, h2, h3 {
    margin: 0;
}
p {
    font-size: 1.8rem;
    line-height: 2;
}
a {
    text-decoration: none;
}
img {
    max-width: 100%;
}
ul {
    padding: 0;
    margin: 0;
}

/* UTILIDADES */
.contenedor {
    max-width: 80%;
    margin: 0 auto;
}
@media (min-width: 500px) {
    .contenedor{
        max-width: 70%;
    }
}
@media (min-width: 800px) {
    .contenedor{
        max-width: 60rem;
    }
}
@media (min-width: 1064px) {
    .contenedor{
        max-width: 90rem;
    }
}
@media (min-width: 1400px) {
    .contenedor{
        max-width: 110rem;
    }
}
.seccion{
    padding: 5rem 0;
}
@media (min-width: 400px) {
    .seccion{
        padding: 10rem 0;
    }
}
@media (min-width: 768px) {
    .seccion{
        padding: 20rem 0;
    }
}

/* BOTONES */
.btn-primario{
    color: var(--secundario);
    border: 2px var(--secundario) solid;
    border-radius: 3rem;
    font-size: 1.5rem;
    font-weight: 700;
    padding: 1.2rem;
    display: block;
    text-align: center;
    transition: 0.3s;
    font-family: var(--styleSecundario);
}
.btn-primario:hover{
    background-color: var(--secundario);
    color: var(--primario);
    border-color: var(--primario);
}
@media (min-width: 768px) {
    .btn-primario{
        font-size: 2rem;
        padding: 1rem 3rem;
        width: 25%;
    }
}

/* HEADER */
.site-header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 2rem 2rem;
    align-items: center;
    background-color: var(--primario);
    width: 100vw;
    height: 12vh;
    -webkit-box-shadow: 0px 6px 11px -2px rgba(0,0,0,0.7);
    -moz-box-shadow: 0px 6px 11px -2px rgba(0,0,0,0.7);
    box-shadow: 0px 6px 11px -2px rgba(0,0,0,0.3);
}
.site-header nav a{
    margin: 0 1rem 0 0;
    color: var(--terciario);
    transition: 0.3s;
    font-size: 1.5rem;
}
.site-header nav a:hover{
    color: var(--secundario);
}
.site-header nav a:last-of-type{
    margin: 0;
}
@media (min-width: 768px) {
    .site-header{
        padding: 2rem 4rem;
    }
    .site-header nav a{
        margin: 0 2rem 0 0;
        font-size: 2rem;
    }
}

/* REDES SOCIALES */ 
.redes{
    display: none;
}
@media (min-width: 768px) {
    .redes{
        display: block;
        position: fixed;
        bottom: 0px;
        left: 0px;
        right: auto;
    }
}
.contenido-redes{
    border-right: 1px var(--terciario) solid;
}
.contenido-redes li{
    font-size: 2.2rem;
    margin: 0 0 3rem 0;
    padding: 0 3rem;
    transition: 0.5s;
    list-style: none;
}
.contenido-redes li:hover{
    transform:  translateY(-1rem);
}
.contenido-redes li:last-of-type{
    margin-bottom: 2rem;
}
.contenido-redes li a{
    color: var(--terciario);
    transition: 0.5s;
}
.contenido-redes li a:hover{
    color: var(--secundario);
}
/* CORREO */
.correo{
    display: none;
    width: 40px;
    position: fixed;
    bottom: 0px;
    left: auto;
    right: 40px;
    -webkit-writing-mode: vertical-rl;
    writing-mode: vertical-rl;
    border-left: 1px solid var(--terciario);
    padding-left: 2rem;
    margin: 1rem;
    color: var(--cuarto);
    transition: 1s;
}
@media (min-width: 768px) {
    .correo{
        display: flex;
    }
}
.correo a{
    color: var(--terciario);
    font-size: 1.7rem;
    transition: .5s;
}
.correo a:hover{
    color: var(--secundario);
    transform: translateY(-10px);
}

/* CONTENIDO PRINCIPAL */
.first-view h1{
    color: var(--cuarto);
    font-family: var(--styleTerciario);
    font-size: 6rem;
    font-weight: 600;
}
.first-view h2{
    color: var(--terciario);
    font-family: var(--styleSecundario);
    font-size: 2.5rem;
    font-weight: 700;
}
.first-view h3{
    color: var(--secundario);
    font-family: var(--styleSecundario);
    font-size: 1.6rem;
    font-weight: 400;
}
.first-view p{
    color: var(--terciario);
    font-family: var(--styleSecundario);
    font-size: 1.6rem;
    font-weight: 400;
    line-height: 1.5;
}
@media (min-width: 768px) {
    .first-view h1{
        font-size: 8rem;
    }
    .first-view h2{
        font-size: 4rem;
    }
    .first-view h3{
        font-size: 2rem;
    }
    .first-view p{
        font-size: 2rem;
    }
}

/* CONTENIDO SOBRE MI */
.scroll{
    display: block;
    scroll-behavior: smooth;
    overflow-y: auto;
    height: 88vh;
}
/* Tamaño del scroll */
.scroll::-webkit-scrollbar {
    width: .4rem;
}
@media (min-width: 768px) {
    .scroll::-webkit-scrollbar{
        width: 1rem;
    }
}
/* Estilos barra (thumb) de scroll */
.scroll::-webkit-scrollbar-thumb {
    background: var(--secundario);
    border-radius: 8px;
}
/* Estilos track de scroll */
.scroll::-webkit-scrollbar-track {
    background: var(--terciario);
    border-radius: 8px;
}
.about{
    display: flex;
    flex-direction: column;
    row-gap: 5rem;
}
@media (min-width: 768px) {
    .about{
        display: grid;
        grid-template-columns: 2fr 1fr;
        align-items: center;
        column-gap: 5rem;
    }
}
.about img{
    width: 100%;
    border-radius: 2rem;
    margin-top: 2rem;
    border: 1px solid var(--secundario);
    transition: 1s;
}

@media (min-width: 500px) {
    .about img{
        width: 50%;
        border-radius: 5rem;
        -webkit-box-shadow: 8px 4px 19px -1px rgba(102,255,218,0.7);
        -moz-box-shadow: 8px 4px 19px -1px rgba(102,255,218,0.7);
        box-shadow: 4px 4px 12px -1px rgba(102,255,218,0.7);
    }
    .about img:hover{
        background-color: var(--secundario);
        transform: scale(1.1);
        box-shadow: 0px 0px 0px 0px var(--primario);
    }
}
@media (min-width: 768px) {
    .about img{
        width: 100%;
        margin-left: -2rem;
    }
}
.contenido-about{
    font-family: var(--styleSecundario);
}
.contenido-about h2,
.proyectos h2,
.contacto h2{
    color: var(--cuarto);
    font-size: 3rem;
    padding-bottom: 2rem;
    border-bottom: 1px solid var(--terciario);
}
.contenido-about h2 b,
.proyectos h2 b,
.contacto h2 b{
    font-size: 1.7rem;
    color: var(--secundario);
}
@media (min-width: 768px) {
    .contenido-about h2,
    .proyectos h2,
    .contacto h2{
        font-size: 4rem;
    }
    .contenido-about h2 b,
    .proyectos h2 b,
    .contacto h2 b{
        font-size: 3rem;
}
}
.contenido-about p{
    color: var(--terciario);
}
.contenido-about .lista{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    color: var(--cuarto);
    font-size: 1.5rem;
}
.lista ul{
    margin-left: 3rem;
}
.lista ul li{
    list-style-image: url("/img/item.png");
    margin-bottom: 1.5rem;
}
/* PROYECTOS */
.contenido-proyectos{
    display: grid;
    row-gap: 2rem;
    column-gap: 2rem;
    margin-top: 5rem;
}
@media (min-width: 768px) {
    .contenido-proyectos{
        grid-template-columns: repeat(2, 1fr);
    }
}
.tipo-proyecto{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: var(--azulClaro);
    border-radius: .5rem;
    padding: 2rem;
    transition: .5s;
    font-family: var(--styleSecundario);
}
.tipo-proyecto:hover{
    transform: translateY(-2%);
}
.tipo-proyecto header h3{
    margin-top: 1rem;
    color: var(--cuarto);
    font-size: 2.2rem;
    font-family: var(--stylePrincipal);
}
.tipo-proyecto header p{
    line-height: 1.2;
    color: var(--terciario);
    font-size: 1.7rem;
}
.tipo-proyecto footer{
    display: flex;
    justify-content: space-evenly;
    color: #8892B0;
}
.tipo-proyecto footer p{
    font-size: 1.4rem;
}
.proyecto-icon{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.proyecto-icon .folder{
    color: var(--secundario);
    width: 15%;
}
.proyecto-icon .link a{
    color: var(--cuarto);
    font-size: 2rem;
    transition: .5s;
}
.proyecto-icon .link a:hover{
    color: var(--secundario);
}
/* CONTACTO */
.contacto h2{
    display: flex;
    flex-direction: column;
    text-align: center;
    border: none;
}
.contacto p{
    color: var(--terciario);
    font-size: 1.5rem;
    text-align: center;
}
@media (min-width: 600px) {
    .contacto p{
        font-size: 2rem;
    }
}
.contacto a{
    margin: 0 auto;
}
/* FOOTER */
.footer p{
    color: var(--terciario);
    font-size: 1.2rem;
    text-align: center;
    font-family: var(--styleSecundario);
}
.contenido-redes-footer{
    display: flex;
    justify-content: center;
}
@media (min-width: 768px) {
    .contenido-redes-footer{
        display: none;
    }
}
.contenido-redes-footer li{
    list-style: none;
}
.contenido-redes-footer li a{
    font-size: 2.2rem;
    color: var(--terciario);
    margin-right: 1rem;
}